Bug 42038 - Installer fails to load X and crashes in expert install mode on a Compaq Armada E500
Installer fails to load X and crashes in expert install mode on a Compaq Arma...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-23 18:20 EDT by Johnray Fuller
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-10 10:46:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnray Fuller 2001-05-23 18:20:29 EDT
Description of Problem:

I had the customer type:

linux expert

At the installer boot prompt. When anaconda loaded and attempted to startx,
if failed and the system immediately went down for reboot.

How Reproducible:

He tried it twice.

Steps to Reproduce:
1. boot installer with linux expert 
2. anaconda loads
3. X fails to load and the system goes down for reboot

Actual Results:

Installer crashes...

Expected Results:

wanted to install...

Additional Information:
	
I am Cc:ing the customer so he can be more specific about his hardware and
help you trouble shoot.

He has a Compaq Armada E500.
Comment 1 Brent Fox 2001-05-24 23:58:02 EDT
What kind of video card does this machine have?
Comment 2 Chris Kelly 2001-05-25 13:35:52 EDT
it is an ATI Rage p/m Mobility AGP 2x video card
Comment 3 Brent Fox 2001-05-31 14:13:01 EDT
Can you install using text mode?  I think that there could be something
particular about the screen that is causing the X server to fail.  I know that
the ATI Rage Mobility video chipset should work, since that's what I have on my
Compaq Presario 1700T laptop.  

The installer is designed to fall back to text mode automatically if the X
server crashes for any reason.  However, what apparently happens is that
sometimes the X server crashes in such a way that it crashes the installer,
which prevents us from falling back to text mode.  This appears to be one of
those cases.
Comment 4 Brent Fox 2001-06-10 10:46:55 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.